curl --request GET \
--url "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet" \
--header "Authorization: Bearer $TT_API_TOKEN"import requests
url = "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenterminal.com/v2/assets/eurc/fact-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tokenterminal.com/v2/assets/eurc/fact-sheet")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tokenterminal.com/v2/assets/eurc/fact-sheet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"asset_id": "eurc",
"disclosures": {
"retrieved_at": "2026-09-24T14:50:48.117000Z",
"website": {
"status": "disclosed",
"value": "https://www.circle.com/eurc",
"evidence": {
"reasoning": "Circle's product page names EURC as a euro-backed stablecoin and is the issuer-domain page for this specific product.",
"citations": [
{
"url": "https://www.circle.com/eurc",
"title": "EURC | A Euro-Backed Stablecoin - Circle",
"excerpts": [
"EURC, A Euro-Backed Stablecoin - Circle EURC is supported on Avalanche, Base, Ethereum, Solana, and Stellar."
]
}
]
}
},
"reference_asset": {
"status": "disclosed",
"value": "euro"
},
"regulatory_framework": {
"status": "disclosed",
"values": {
"EEA": {
"status": "disclosed",
"value": [
"eu_mica"
],
"evidence": {
"reasoning": "The white paper and EEA Terms both place the EURC issuance and related services within MiCA.",
"citations": [
{
"url": "https://www.circle.com/legal/mica-eurc-whitepaper",
"title": "MiCA EURC White Paper | Circle",
"excerpts": [
"B.6, Crypto-Asset Characteristics, EURC is defined as an e-money token pursuant to Article 3.1(7) of MiCA. As of the date of this White Paper, EURC does not constitute a \"significant e-money token\" as defined by Article 56 of MiCAโฆ"
]
},
{
"url": "https://www.circle.com/legal/eea-terms",
"title": "Circle Europe | EEA Terms of Use | Circle",
"excerpts": [
"The leading digital dollar USDC EURCโฆ"
]
}
]
}
}
},
"not_available_reasoning": null
}
}
}
}Get an asset fact sheet
Retrieve the latest fact sheet for one asset, including disclosure values, availability statuses and supporting sources. Find covered assets with GET /v2/assets?has_fact_sheet=true.
Add include_tokens=true to include token deployments. Look up field titles and option descriptions with field definitions. An asset without a fact sheet returns 404.
Response examples are abbreviated; expand the schema to see all disclosure fields.
curl --request GET \
--url "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet" \
--header "Authorization: Bearer $TT_API_TOKEN"import requests
url = "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenterminal.com/v2/assets/eurc/fact-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tokenterminal.com/v2/assets/eurc/fact-sheet"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tokenterminal.com/v2/assets/eurc/fact-sheet")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tokenterminal.com/v2/assets/eurc/fact-sheet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"asset_id": "eurc",
"disclosures": {
"retrieved_at": "2026-09-24T14:50:48.117000Z",
"website": {
"status": "disclosed",
"value": "https://www.circle.com/eurc",
"evidence": {
"reasoning": "Circle's product page names EURC as a euro-backed stablecoin and is the issuer-domain page for this specific product.",
"citations": [
{
"url": "https://www.circle.com/eurc",
"title": "EURC | A Euro-Backed Stablecoin - Circle",
"excerpts": [
"EURC, A Euro-Backed Stablecoin - Circle EURC is supported on Avalanche, Base, Ethereum, Solana, and Stellar."
]
}
]
}
},
"reference_asset": {
"status": "disclosed",
"value": "euro"
},
"regulatory_framework": {
"status": "disclosed",
"values": {
"EEA": {
"status": "disclosed",
"value": [
"eu_mica"
],
"evidence": {
"reasoning": "The white paper and EEA Terms both place the EURC issuance and related services within MiCA.",
"citations": [
{
"url": "https://www.circle.com/legal/mica-eurc-whitepaper",
"title": "MiCA EURC White Paper | Circle",
"excerpts": [
"B.6, Crypto-Asset Characteristics, EURC is defined as an e-money token pursuant to Article 3.1(7) of MiCA. As of the date of this White Paper, EURC does not constitute a \"significant e-money token\" as defined by Article 56 of MiCAโฆ"
]
},
{
"url": "https://www.circle.com/legal/eea-terms",
"title": "Circle Europe | EEA Terms of Use | Circle",
"excerpts": [
"The leading digital dollar USDC EURCโฆ"
]
}
]
}
}
},
"not_available_reasoning": null
}
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Asset ID. URL-encode reserved characters such as #.
1 - 200Query Parameters
Include the tokens array with chain IDs, contract addresses and deployment facts. Defaults to false; otherwise the tokens property is omitted.
Response
Researched fact sheet.
Show child attributes
Show child attributes